### Method

# Gtk Snapshot save

#### Declaration [src]

    void
    gtk_snapshot_save (
      GtkSnapshot* snapshot
    )

#### Description [src]

Makes a copy of the current state of `snapshot` and saves it on an internal stack.

When gtk_snapshot_restore() is called, `snapshot` will be restored to the saved state. Multiple calls to gtk_snapshot_save() and gtk_snapshot_restore() can be nested; each call to gtk_snapshot_restore() restores the state from the matching paired gtk_snapshot_save().

It is necessary to clear all saved states with corresponding calls to gtk_snapshot_restore().